#Quad1portal2
from eventAPI import showPicture, tickGame, setExit
from APIUtils import poseYesNo

def fireEvent(e):
    showPicture(e, "bw_teleporter")
    if (poseYesNo(e,
        ["On the floor is a teleportation circle.",
         "Will you return through the teleporter?"])):
        tickGame(e, 60)
        setExit(e, "maps/bwquadrant1.cfg", 27, 21, 180)
    return 0
